GI Downgrade Fails: CLSRSC-487: Check for ASM compatibility version failed during downgrade (Doc ID 2176236.1)

Last updated on OCTOBER 18, 2016

Applies to:

Oracle Database - Enterprise Edition - Version 12.1.0.2 and later
Information in this document applies to any platform.

Symptoms

GI downgrade fails: 

# /ocw/c102/crs/install/rootcrs.sh -downgrade

Using configuration parameter file: /ocw/c102/crs/install/crsconfig_params

2016/08/24 17:41:52 CLSRSC-487: Check for ASM compatibility version failed during downgrade.

Died at /ocw/c102/crs/install/crsdeconfig.pm line 322.

In root script trace:

2016/08/24 17:41:52: /bin/su oracrs -c ' /ocw/c102/bin/asmcmd lsattr -G XDAIIS_DATA -l compatible.asm ' successfully executed
2016/08/24 17:41:52: Command output:
> Name Value
>End Command output
2016/08/24 17:41:52: Old version: 11.2.0.3.0; ASM compatibility version:
2016/08/24 17:41:52: Unable to get ASM compatibility version ============================>>>> no version string
2016/08/24 17:41:52: Executing cmd: /ocw/c102/bin/clsecho -p has -f clsrsc -m 487
2016/08/24 17:41:52: Command output:
> CLSRSC-487: Check for ASM compatibility version failed during downgrade.
>End Command output

Connected to ASM and found out:

NAME COMPATIBILITY DATABASE_COMPATIBILI
--------------- -------------------- --------------------
XDAIIS_DATA 10.1.0.0.0 10.1.0.0.0

 

 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms